/*
 * program to turn NUMLOCK off
 *
 */

#define INCL_SUB

#include <os2def.h>
#include <bsesub.h>

main ()
{
    KBDINFO kbdstatus;
    
    kbdstatus.cb = sizeof(kbdstatus);
    KbdGetStatus(&kbdstatus, 0);

    if (kbdstatus.fsState & 0x0020) {
	kbdstatus.fsMask = 0x0010;	 /* fsState is to be modified */
	kbdstatus.fsState ^= 0x0020;	 /* set NumLock bit off */
	KbdSetStatus(&kbdstatus, 0);	 /* set new state */
	}
}
